Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 30 Jul 2014, 23:52
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Newer Samba/SMBClient 3.2 series for Puppy soon?
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [4 Posts]  
Author Message
rberke

Joined: 08 Mar 2008
Posts: 9

PostPosted: Fri 11 Sep 2009, 16:04    Post subject:  Newer Samba/SMBClient 3.2 series for Puppy soon?
Subject description: Old 3.0 can't reach sophisticated Windows shares. Need 3.2.
 

In addition to my using Puppy at home and at my public library, I would like to be able to carry it with me on my USB memory stick for use in my lab at work. The Windows Server 2003 shares I need to access are not reachable with the version of Samba/SMBClient in Puppy. The latest Puppy I've tried is the distro called Puppy 424 (which I understand is 4.3 beta.) I think the SMB version included is 3.0 series. The issue is probably the DFS-referrals we have going on. The server gang loves virtual file-servers.

Ubuntu 9.04 includes Samba/SMBClient 3.2, and that is successful in reaching the Windows Server shares I need. (Ubuntu 8.06 had an earlier version, and couldn't reach the shares, either.) It's menu interface includes the necessary parameter choices for server, share, directory, user, and password. Within the share field I have to use the syntax: #server/share because the server team has virtualized the server. The first DNS resolution of the server name isn't the final IP address that we get directed to.

Is it reasonable for Puppy to have the newer (newest?) Samba/SMBClient packaged with it? Is there something about it that isn't immediately workable? Difficult conflicts?

I've only ever fetched Puppy packages from the official repositories. I don't see SMBClient there. I wouldn't try to just lay down the newest without regard for integration with the rest of Puppy.

Anyone else already work through this?

Thanks,
Richard
Columbia, MD
Back to top
View user's profile Send private message 
rberke

Joined: 08 Mar 2008
Posts: 9

PostPosted: Wed 16 Sep 2009, 11:45    Post subject: Samba/SMBClient upgrade?  

I browsed and found reference to Samba 3.4.1 available as the current, stable release as of August 2009.

http://us1.samba.org/samba

There are released versions / bug fixes also for 3.3.7, 3.2.14, and 3.0.36.

Puppy 4.3 beta 3 appears to still have 3.0.26.

I don't know how to incorporate any newer version into a package for Puppy. I would, if I could.

Richard
Back to top
View user's profile Send private message 
Patriot


Joined: 15 Jan 2009
Posts: 734

PostPosted: Wed 16 Sep 2009, 15:18    Post subject: Willing volunteers ?  

Hmmm .....

I have been using samba-3.0.34 since march and have been using samba-3.0.36 for about a month. It seems to be able to scan the local network a bit more accurately. For a direct upgrade, the recent maintenance release 3.0.36 will work just fine ...

... but, I don't have server2003/server2008 and thus have no idea of the outcome ...

FYI, existing puppy scripts (especially pnethood) will not work with samba 3.2 series, 3.3 series and the new 3.4 series. Many changes have been made to samba core and utilities. Scripts that depends on 3.0 series will need recoding to work with new samba release ...

I have recently built all 3.2.14, 3.3.7 and 3.4 binaries for compatibility testing and also had one or two things in mind to try/figure out ... If you would like to try these binaries, please let me know.

Added: Scratch the one about pnethood ... As it happens, I borked to copy the libs ... Made some quick tests and I can confirm that pnethood works with samba-3.2.14 and samba-3.3.7 (3.4.1 not tested, probably ok too) ... I'm packaging them now and will be posting them soon .....


Rgds
Back to top
View user's profile Send private message 
byg

Joined: 20 May 2006
Posts: 13
Location: Ste Julienne,QC

PostPosted: Sat 19 Sep 2009, 15:11    Post subject: Pnethood not connecting  

Hi
I'm using Puppy 4.3.1 on a Usbflashdrive on a Toshiba laptop ,installation done using Unetbootin. Very satisfied with the new Puppy , speed , ease of use, completeness. One problem is Pnethood, this has been going on for a while I think the last time Pnethood work good for me was with Puppy 4.2.1
Here's the details. Small network of 3 laptops 2 Windows and 1 Puppy. WindowsXp has a share folder "aaa" and WindowsVista has a share folder "document". I start Pnethood from the menu or the console , Puppy sees the shared folder but when I click connect I get:

-Pnethood error
-Mount: COMPUTER aaa failed. the server.......

The Log file output is:
func mount called: with
MACHINE=COMPUTER
IP=192.168.2.11
SHARE=aaa
MOUNTPOINT=/mnt/network/COMPUTER/aaa
USERNAME=
PASSWORD=?
USECIFS=true
mount: COMPUTER aaa failed

Same if I try to connect to "document" on the other laptop. As I mentionned earlier no problem connecting to shared folder if I used Puppy 4.2.1 or Ubuntu. Any help would be appreciated.
BYG
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [4 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0495s ][ Queries: 11 (0.0039s) ][ GZIP on ]